Package org.apache.sling.dynamicinclude

## Class Configuration

- java.lang.Object
- - org.apache.sling.dynamicinclude.Configuration

    public class Configuration
    extends java.lang.Object

Include filter configuration.

### Nested Class Summary

Nested Classes
`static interface` `Configuration.Config`

### Constructor Summary

Constructors
`Configuration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(Configuration.Config cfg)`
`boolean` `getAddComment()`
`java.lang.String` `getExtension()`
`java.util.Collection<java.lang.String>` `getIgnoreUrlParams()`
`java.lang.String` `getIncludeSelector()`
`java.lang.String` `getIncludeTypeName()`
`PathMatcher` `getPathMatcher()`
`java.lang.String` `getRequiredHeader()`
`int` `getTtl()`
`boolean` `hasExtension​(org.apache.sling.api.SlingHttpServletRequest request)`
`boolean` `hasExtensionSet()`
`boolean` `hasIncludeSelector​(org.apache.sling.api.SlingHttpServletRequest request)`
`boolean` `hasTtlSet()`
`boolean` `isAppendSuffix()`
`boolean` `isDisableIgnoreUrlParams()`
`boolean` `isEnabled()`
`boolean` `isRewritePath()`
`boolean` `isSupportedResourceType​(java.lang.String resourceType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Configuration

    public Configuration()

### Method Detail

#### activate

    public void activate​(Configuration.Config cfg)

#### getPathMatcher

    public PathMatcher getPathMatcher()

#### hasIncludeSelector

    public boolean hasIncludeSelector​(org.apache.sling.api.SlingHttpServletRequest request)

#### getIncludeSelector

    public java.lang.String getIncludeSelector()

#### hasExtension

    public boolean hasExtension​(org.apache.sling.api.SlingHttpServletRequest request)

#### hasExtensionSet

    public boolean hasExtensionSet()

#### getExtension

    public java.lang.String getExtension()

#### hasTtlSet

    public boolean hasTtlSet()

#### getTtl

    public int getTtl()

#### isSupportedResourceType

    public boolean isSupportedResourceType​(java.lang.String resourceType)

#### getAddComment

    public boolean getAddComment()

#### getIncludeTypeName

    public java.lang.String getIncludeTypeName()

#### isEnabled

    public boolean isEnabled()

#### getRequiredHeader

    public java.lang.String getRequiredHeader()

#### getIgnoreUrlParams

    public java.util.Collection<java.lang.String> getIgnoreUrlParams()

#### isDisableIgnoreUrlParams

    public boolean isDisableIgnoreUrlParams()

#### isRewritePath

    public boolean isRewritePath()

#### isAppendSuffix

    public boolean isAppendSuffix()